=== debian/changelog ===
qt6-3d (6.4.2+dfsg-6build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 17:03:22 +0100

qt6-3d (6.4.2+dfsg-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:52:42 +0000

qt6-3d (6.4.2+dfsg-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:57:56 +0000

qt6-3d (6.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Add patch to avoid compiling planets-qml example. It fails to build from
    source on 32 bits archs and was discarded by upstream in Qt 6.5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 19:36:13 -0300

qt6-3d (6.4.2+dfsg-5) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:25:03 -0300

qt6-3d (6.4.2+dfsg-4) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency on libqt6opengl6-dev as it has been merged into
    qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042329).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 20:00:28 -0300

qt6-3d (6.4.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1034410).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jun 2023 00:27:07 +0200
