## qt6-3d 6.6.1+dfsg

=== debian/changelog ===
qt6-3d (6.6.1+dfsg-1deepin1) experimental; urgency=medium

  * Update symbols from buildlogs.
    (arch=amd64) Vector3D_SSE related stuff.

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 26 Dec 2023 13:42:11 +0800

qt6-3d (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Update list of excluded files.
  * Bump Qt B-Ds to 6.6.1.
  * Remove redundant patch to exclude examples.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove multiple binary packages.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:10:10 +0100
