=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-multimedia-dev (>= 6.6.1~),
-               qt6-shadertools-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-multimedia-dev (>= 6.6.2~),
+               qt6-shadertools-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
